Bug 967585 - ath9k module unstable in kernel 3.9
ath9k module unstable in kernel 3.9
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: fedora-kernel-wireless-ath
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 09:51 EDT by Claudio Guimarães
Modified: 2013-08-14 11:16 EDT (History)
7 users (show)

See Also:
Fixed In Version: 3.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 11:16:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Claudio Guimarães 2013-05-27 09:51:56 EDT
Description of problem:
Starting with kernel 3.9 the module ath9k is not working properly. The connection through WiFi fails sometimes and can't authenticate anymore. Only a cold boot fixes the issue until it fails again. 

Version-Release number of selected component (if applicable):
kernel-3.9.2-200.fc18.x86_64
kernel-3.9.4-200.fc18.x86_64

How reproducible:
Random

Steps to Reproduce:
1.Start Fedora with kernel 3.9
2.Connect to WiFi network using ath9k
3.Normal Internet and network access

Actual results:
When it looses the connection can't authenticate again, no matter what you do.

Expected results:
Stable connection as with kernel 3.8

Additional info:
I experimented this issue with Fedora 16. It was fixed until kernel-3.8.11-200.fc18.x86_64 that is working fine.
Comment 1 Sujith 2013-07-12 01:10:51 EDT
Please post the output of lspci -vv
Comment 2 John Greene 2013-07-23 12:24:19 EDT
Add a copy of of 
dmesg > dmesg.txt 

Would be helpful too!

Note You need to log in before you can comment on or make changes to this bug.